Skip to content

Changelog

  • 10 Nov 2026 – Removed deprecated activity fields and the v1 search endpoint:
    • author and subject on activities; authorUser and subjectUser carry the same users
    • GET /api/v1/search; use GET /api/v2/users/search
  • 9 Nov 2026 – Removed deprecated vouch fields. stats.vouchTotals (one entry per token) and topVouch.amountWei carry the same data in the same responses:
    • stats.vouch on user objects
    • vouches on GET /api/v1/users/:userkey/stats; requests with startDate or endDate no longer return vouch statistics
    • vouchToken and every topVouch field except amountWei on user stats
    • stats.vouches on trending users
  • 6 Nov 2026 – Removed the XP v1 endpoints:
    • POST /api/v1/xp/extension-daily-checkin
    • GET /api/v1/users/xp-leaderboard
    • GET /api/v1/users/xp-leaderboard/export
  • 3 Nov 2026 – Removed XP spending endpoints and an unused activity endpoint:
    • POST /api/v2/contributions/forgive-self
    • POST /api/v2/xp/decision
    • POST /api/v2/activities/profile/saved-posts
  • 29 Oct 2026 – Removed project listings (project sentiment):
    • GET /api/v2/projects
    • GET /api/v2/projects/suggested
    • GET /api/v2/projects/confirm
    • GET /api/v2/projects/username/{username}
    • GET /api/v2/projects/votes/balance
    • GET /api/v2/projects/votes/bulk-totals
    • GET /api/v2/projects/{projectId}
    • PUT /api/v2/projects/{projectId}
    • GET /api/v2/projects/{projectId}/details
    • GET /api/v2/projects/{projectId}/chart
    • GET /api/v2/projects/{projectId}/voters
    • POST /api/v2/projects/{projectId}/votes
    • GET /api/v2/projects/{projectId}/team
    • POST /api/v2/projects/{projectId}/team
    • DELETE /api/v2/projects/{projectId}/team
    • POST /api/v2/projects/{projectId}/chains
    • DELETE /api/v2/projects/{projectId}/chains/{chainId}
    • GET /api/v2/internal/listings
    • GET /api/v2/internal/listings/{username}
  • 23 Oct 2026 – Removed deprecated markets v1 endpoints:
    • GET /api/v1/markets/search
    • GET /api/v1/markets/:profileId
    • GET /api/v2/markets/configs
    • GET /api/v2/markets/fees
    • GET /api/v2/markets/holdings
    • GET /api/v2/markets/stats
    • GET /api/v2/markets/{profileId}/change
    • GET /api/v2/markets/{profileId}/vote-price
    • POST /api/v2/wallets/privy/markets/buy
  • 19 Oct 2026 – Removed deprecated markets v1 endpoints:
    • GET /api/v1/markets/activity/:address
    • GET /api/v1/markets/holdings/:address/total
    • GET /api/v1/markets/leaderboard/profit
    • GET /api/v1/markets/leaderboard/xp
    • GET /api/v1/markets/tx/history
    • GET /api/v1/markets/volume/:address
    • GET /api/v2/markets/featured
    • GET /api/v2/markets/simulate-buy
    • GET /api/v2/markets/users/by/x/{username}
    • POST /api/v2/markets/users/by/addresses
    • GET /api/v2/xp/user/{userkey}/leaderboard-rank
  • 30 Sep 2026 – Removed deprecated activity endpoints:
    • GET /api/v1/activities/actor/:userkey
    • POST /api/v1/activities/actors
    • GET /api/v1/activities/invite/accepted-by/:profileId
  • 27 Mar 2026 – Added API key support for programmatic access:
    • Create, list, and revoke API keys via SIWE signature (/api/v2/api-keys)
    • Authenticate any profile-scoped endpoint with the X-Ethos-Api-Key header
  • 1 Dec 2025 – Removed deprecated endpoints:
    • POST /api/v1/invitations
    • GET /api/v1/invitations/pending/:address,
    • GET /api/v1/profiles/directory
  • 6 Oct 2025 – Removed deprecated endpoints:
    • POST /api/v1/reviews
    • POST /api/v1/profiles/recent
  • 9 Sep 2025 – Removed deprecated endpoints:
    • POST /api/v1/reply
    • POST /api/v1/reviews/count
  • 8 Aug 2025 – Removed deprecated /api/v1/activities endpoint

These endpoints will be removed after the advertised date. We will do our best to notify consumers (by their advertised X-Ethos-Client header) in advance of removal.

EndpointDescriptionSunset
GET /api/v2/whuffies/token-sale-stateGet the current phase of the WHUF token sale. Returns a constant post-unlock state.12 Nov 2026
GET /api/v1/addresses/:userkeyGet the addresses of a user. Use POST /api/v2/profiles/addresses.1 Dec 2026
GET /api/v1/markets/:profileId/holdersGet the holders of a market1 May 2026
GET /api/v2/activities/userkeyGet activities by userkey (author or subject). Use POST /api/v2/activities/profile/given, /received or /all.Not set
GET /api/v2/xp/user/{userkey}/season/{seasonId}/weeklyGet weekly XP data for a user in a season. Use GET /api/v2/xp/user/{userkey}/season/{seasonId}/timeline.Not set
GET /api/v2/user/by/farcaster/{farcasterUserId}Get a user by Farcaster user IDNot set
GET /api/v2/user/by/farcaster/username/{farcasterUsername}Get a user by Farcaster usernameNot set

Beta endpoints are recent additions and are still subject to rapid change without further notification to consumers. We will remove the ‘beta’ tag once they are stable.


Internal endpoints are used by Ethos frontend and are not intended for public consumption. They may change without notice. We intend to ‘publish’ them to beta status.

Method Path Description
GET /internal/users/{userkey} Fetch user details by userkey.